
package org.oasis_open.docs.ns.cmis.core._200901;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.oasis_open.docs.ns.cmis.core._200901 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DocumentType_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "documentType");
    private final static QName _AllowableActions_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "allowableActions");
    private final static QName _ChoiceDateTime_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceDateTime");
    private final static QName _Query_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "query");
    private final static QName _ChoiceString_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceString");
    private final static QName _ChoiceDecimal_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceDecimal");
    private final static QName _Choice_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choice");
    private final static QName _FolderType_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "folderType");
    private final static QName _Object_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "object");
    private final static QName _RepositoryInfo_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "repositoryInfo");
    private final static QName _PolicyType_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "policyType");
    private final static QName _Type_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "type");
    private final static QName _CmisObject_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "cmisObject");
    private final static QName _RelationshipType_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "relationshipType");
    private final static QName _ChoiceXml_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceXml");
    private final static QName _ChoiceUri_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceUri");
    private final static QName _ChoiceInteger_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceInteger");
    private final static QName _ChoiceId_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceId");
    private final static QName _ChoiceXhtml_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceXhtml");
    private final static QName _ChoiceBoolean_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceBoolean");
    private final static QName _ChoiceHtml_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "choiceHtml");
    private final static QName _CmisQueryTypeIncludeRenditions_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "includeRenditions");
    private final static QName _CmisQueryTypeIncludeRelationships_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "includeRelationships");
    private final static QName _CmisQueryTypeIncludeAllowableActions_QNAME = new QName("http://docs.oasis-open.org/ns/cmis/core/200901", "includeAllowableActions");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.oasis_open.docs.ns.cmis.core._200901
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CmisPropertyXhtml }
     * 
     */
    public CmisPropertyXhtml createCmisPropertyXhtml() {
        return new CmisPropertyXhtml();
    }

    /**
     * Create an instance of {@link CmisRepositoryInfoType }
     * 
     */
    public CmisRepositoryInfoType createCmisRepositoryInfoType() {
        return new CmisRepositoryInfoType();
    }

    /**
     * Create an instance of {@link CmisChoiceIntegerType }
     * 
     */
    public CmisChoiceIntegerType createCmisChoiceIntegerType() {
        return new CmisChoiceIntegerType();
    }

    /**
     * Create an instance of {@link CmisPropertyHtml }
     * 
     */
    public CmisPropertyHtml createCmisPropertyHtml() {
        return new CmisPropertyHtml();
    }

    /**
     * Create an instance of {@link CmisQueryType }
     * 
     */
    public CmisQueryType createCmisQueryType() {
        return new CmisQueryType();
    }

    /**
     * Create an instance of {@link CmisAllowableActionsType }
     * 
     */
    public CmisAllowableActionsType createCmisAllowableActionsType() {
        return new CmisAllowableActionsType();
    }

    /**
     * Create an instance of {@link CmisAnyXml }
     * 
     */
    public CmisAnyXml createCmisAnyXml() {
        return new CmisAnyXml();
    }

    /**
     * Create an instance of {@link CmisPropertyXml }
     * 
     */
    public CmisPropertyXml createCmisPropertyXml() {
        return new CmisPropertyXml();
    }

    /**
     * Create an instance of {@link CmisTypeRelationshipDefinitionType }
     * 
     */
    public CmisTypeRelationshipDefinitionType createCmisTypeRelationshipDefinitionType() {
        return new CmisTypeRelationshipDefinitionType();
    }

    /**
     * Create an instance of {@link CmisChoiceXmlType }
     * 
     */
    public CmisChoiceXmlType createCmisChoiceXmlType() {
        return new CmisChoiceXmlType();
    }

    /**
     * Create an instance of {@link CmisTypeDocumentDefinitionType }
     * 
     */
    public CmisTypeDocumentDefinitionType createCmisTypeDocumentDefinitionType() {
        return new CmisTypeDocumentDefinitionType();
    }

    /**
     * Create an instance of {@link CmisChoiceIdType }
     * 
     */
    public CmisChoiceIdType createCmisChoiceIdType() {
        return new CmisChoiceIdType();
    }

    /**
     * Create an instance of {@link CmisChoiceXhtmlType }
     * 
     */
    public CmisChoiceXhtmlType createCmisChoiceXhtmlType() {
        return new CmisChoiceXhtmlType();
    }

    /**
     * Create an instance of {@link CmisAccessControlListType }
     * 
     */
    public CmisAccessControlListType createCmisAccessControlListType() {
        return new CmisAccessControlListType();
    }

    /**
     * Create an instance of {@link CmisTypeFolderDefinitionType }
     * 
     */
    public CmisTypeFolderDefinitionType createCmisTypeFolderDefinitionType() {
        return new CmisTypeFolderDefinitionType();
    }

    /**
     * Create an instance of {@link CmisPermissionMapping }
     * 
     */
    public CmisPermissionMapping createCmisPermissionMapping() {
        return new CmisPermissionMapping();
    }

    /**
     * Create an instance of {@link CmisProperty }
     * 
     */
    public CmisProperty createCmisProperty() {
        return new CmisProperty();
    }

    /**
     * Create an instance of {@link CmisPropertyUri }
     * 
     */
    public CmisPropertyUri createCmisPropertyUri() {
        return new CmisPropertyUri();
    }

    /**
     * Create an instance of {@link CmisChoiceUriType }
     * 
     */
    public CmisChoiceUriType createCmisChoiceUriType() {
        return new CmisChoiceUriType();
    }

    /**
     * Create an instance of {@link CmisRenditionType }
     * 
     */
    public CmisRenditionType createCmisRenditionType() {
        return new CmisRenditionType();
    }

    /**
     * Create an instance of {@link CmisPropertyBoolean }
     * 
     */
    public CmisPropertyBoolean createCmisPropertyBoolean() {
        return new CmisPropertyBoolean();
    }

    /**
     * Create an instance of {@link CmisChoiceDateTimeType }
     * 
     */
    public CmisChoiceDateTimeType createCmisChoiceDateTimeType() {
        return new CmisChoiceDateTimeType();
    }

    /**
     * Create an instance of {@link CmisPropertyDateTimeDefinitionType }
     * 
     */
    public CmisPropertyDateTimeDefinitionType createCmisPropertyDateTimeDefinitionType() {
        return new CmisPropertyDateTimeDefinitionType();
    }

    /**
     * Create an instance of {@link CmisPropertyInteger }
     * 
     */
    public CmisPropertyInteger createCmisPropertyInteger() {
        return new CmisPropertyInteger();
    }

    /**
     * Create an instance of {@link CmisPropertyDateTime }
     * 
     */
    public CmisPropertyDateTime createCmisPropertyDateTime() {
        return new CmisPropertyDateTime();
    }

    /**
     * Create an instance of {@link CmisAccessControlEntryType }
     * 
     */
    public CmisAccessControlEntryType createCmisAccessControlEntryType() {
        return new CmisAccessControlEntryType();
    }

    /**
     * Create an instance of {@link CmisChoiceXhtmlType.Value }
     * 
     */
    public CmisChoiceXhtmlType.Value createCmisChoiceXhtmlTypeValue() {
        return new CmisChoiceXhtmlType.Value();
    }

    /**
     * Create an instance of {@link CmisPermissionDefinition }
     * 
     */
    public CmisPermissionDefinition createCmisPermissionDefinition() {
        return new CmisPermissionDefinition();
    }

    /**
     * Create an instance of {@link CmisPropertyId }
     * 
     */
    public CmisPropertyId createCmisPropertyId() {
        return new CmisPropertyId();
    }

    /**
     * Create an instance of {@link CmisPropertyIntegerDefinitionType }
     * 
     */
    public CmisPropertyIntegerDefinitionType createCmisPropertyIntegerDefinitionType() {
        return new CmisPropertyIntegerDefinitionType();
    }

    /**
     * Create an instance of {@link CmisChoiceBooleanType }
     * 
     */
    public CmisChoiceBooleanType createCmisChoiceBooleanType() {
        return new CmisChoiceBooleanType();
    }

    /**
     * Create an instance of {@link CmisPropertyXhtml.Value }
     * 
     */
    public CmisPropertyXhtml.Value createCmisPropertyXhtmlValue() {
        return new CmisPropertyXhtml.Value();
    }

    /**
     * Create an instance of {@link CmisPropertyBooleanDefinitionType }
     * 
     */
    public CmisPropertyBooleanDefinitionType createCmisPropertyBooleanDefinitionType() {
        return new CmisPropertyBooleanDefinitionType();
    }

    /**
     * Create an instance of {@link CmisPropertyXmlDefinitionType }
     * 
     */
    public CmisPropertyXmlDefinitionType createCmisPropertyXmlDefinitionType() {
        return new CmisPropertyXmlDefinitionType();
    }

    /**
     * Create an instance of {@link CmisChoiceDecimalType }
     * 
     */
    public CmisChoiceDecimalType createCmisChoiceDecimalType() {
        return new CmisChoiceDecimalType();
    }

    /**
     * Create an instance of {@link CmisPropertyHtml.Value }
     * 
     */
    public CmisPropertyHtml.Value createCmisPropertyHtmlValue() {
        return new CmisPropertyHtml.Value();
    }

    /**
     * Create an instance of {@link CmisPropertyIdDefinitionType }
     * 
     */
    public CmisPropertyIdDefinitionType createCmisPropertyIdDefinitionType() {
        return new CmisPropertyIdDefinitionType();
    }

    /**
     * Create an instance of {@link CmisChoiceHtmlType }
     * 
     */
    public CmisChoiceHtmlType createCmisChoiceHtmlType() {
        return new CmisChoiceHtmlType();
    }

    /**
     * Create an instance of {@link CmisPropertyHtmlDefinitionType }
     * 
     */
    public CmisPropertyHtmlDefinitionType createCmisPropertyHtmlDefinitionType() {
        return new CmisPropertyHtmlDefinitionType();
    }

    /**
     * Create an instance of {@link CmisPropertyString }
     * 
     */
    public CmisPropertyString createCmisPropertyString() {
        return new CmisPropertyString();
    }

    /**
     * Create an instance of {@link CmisPropertiesType }
     * 
     */
    public CmisPropertiesType createCmisPropertiesType() {
        return new CmisPropertiesType();
    }

    /**
     * Create an instance of {@link CmisTypeDefinitionType }
     * 
     */
    public CmisTypeDefinitionType createCmisTypeDefinitionType() {
        return new CmisTypeDefinitionType();
    }

    /**
     * Create an instance of {@link CmisTypePolicyDefinitionType }
     * 
     */
    public CmisTypePolicyDefinitionType createCmisTypePolicyDefinitionType() {
        return new CmisTypePolicyDefinitionType();
    }

    /**
     * Create an instance of {@link CmisRepositoryCapabilitiesType }
     * 
     */
    public CmisRepositoryCapabilitiesType createCmisRepositoryCapabilitiesType() {
        return new CmisRepositoryCapabilitiesType();
    }

    /**
     * Create an instance of {@link CmisPropertyStringDefinitionType }
     * 
     */
    public CmisPropertyStringDefinitionType createCmisPropertyStringDefinitionType() {
        return new CmisPropertyStringDefinitionType();
    }

    /**
     * Create an instance of {@link CmisPropertyDecimalDefinitionType }
     * 
     */
    public CmisPropertyDecimalDefinitionType createCmisPropertyDecimalDefinitionType() {
        return new CmisPropertyDecimalDefinitionType();
    }

    /**
     * Create an instance of {@link CmisChangeEventType }
     * 
     */
    public CmisChangeEventType createCmisChangeEventType() {
        return new CmisChangeEventType();
    }

    /**
     * Create an instance of {@link CmisChoiceStringType }
     * 
     */
    public CmisChoiceStringType createCmisChoiceStringType() {
        return new CmisChoiceStringType();
    }

    /**
     * Create an instance of {@link CmisPropertyDecimal }
     * 
     */
    public CmisPropertyDecimal createCmisPropertyDecimal() {
        return new CmisPropertyDecimal();
    }

    /**
     * Create an instance of {@link CmisChoiceHtmlType.Value }
     * 
     */
    public CmisChoiceHtmlType.Value createCmisChoiceHtmlTypeValue() {
        return new CmisChoiceHtmlType.Value();
    }

    /**
     * Create an instance of {@link ObjectTreeCollectionType }
     * 
     */
    public ObjectTreeCollectionType createObjectTreeCollectionType() {
        return new ObjectTreeCollectionType();
    }

    /**
     * Create an instance of {@link CmisObjectType }
     * 
     */
    public CmisObjectType createCmisObjectType() {
        return new CmisObjectType();
    }

    /**
     * Create an instance of {@link CmisACLCapabilityType }
     * 
     */
    public CmisACLCapabilityType createCmisACLCapabilityType() {
        return new CmisACLCapabilityType();
    }

    /**
     * Create an instance of {@link CmisAccessControlPrincipalType }
     * 
     */
    public CmisAccessControlPrincipalType createCmisAccessControlPrincipalType() {
        return new CmisAccessControlPrincipalType();
    }

    /**
     * Create an instance of {@link CmisPropertyXml.Value }
     * 
     */
    public CmisPropertyXml.Value createCmisPropertyXmlValue() {
        return new CmisPropertyXml.Value();
    }

    /**
     * Create an instance of {@link CmisPropertyXhtmlDefinitionType }
     * 
     */
    public CmisPropertyXhtmlDefinitionType createCmisPropertyXhtmlDefinitionType() {
        return new CmisPropertyXhtmlDefinitionType();
    }

    /**
     * Create an instance of {@link CmisPropertyUriDefinitionType }
     * 
     */
    public CmisPropertyUriDefinitionType createCmisPropertyUriDefinitionType() {
        return new CmisPropertyUriDefinitionType();
    }

    /**
     * Create an instance of {@link CmisPropertyDefinitionType }
     * 
     */
    public CmisPropertyDefinitionType createCmisPropertyDefinitionType() {
        return new CmisPropertyDefinitionType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisTypeDocumentDefinitionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "documentType", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "type")
    public JAXBElement<CmisTypeDocumentDefinitionType> createDocumentType(CmisTypeDocumentDefinitionType value) {
        return new JAXBElement<CmisTypeDocumentDefinitionType>(_DocumentType_QNAME, CmisTypeDocumentDefinitionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisAllowableActionsType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "allowableActions")
    public JAXBElement<CmisAllowableActionsType> createAllowableActions(CmisAllowableActionsType value) {
        return new JAXBElement<CmisAllowableActionsType>(_AllowableActions_QNAME, CmisAllowableActionsType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceDateTimeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceDateTime", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceDateTimeType> createChoiceDateTime(CmisChoiceDateTimeType value) {
        return new JAXBElement<CmisChoiceDateTimeType>(_ChoiceDateTime_QNAME, CmisChoiceDateTimeType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisQueryType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "query")
    public JAXBElement<CmisQueryType> createQuery(CmisQueryType value) {
        return new JAXBElement<CmisQueryType>(_Query_QNAME, CmisQueryType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceStringType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceString", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceStringType> createChoiceString(CmisChoiceStringType value) {
        return new JAXBElement<CmisChoiceStringType>(_ChoiceString_QNAME, CmisChoiceStringType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceDecimalType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceDecimal", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceDecimalType> createChoiceDecimal(CmisChoiceDecimalType value) {
        return new JAXBElement<CmisChoiceDecimalType>(_ChoiceDecimal_QNAME, CmisChoiceDecimalType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choice")
    public JAXBElement<CmisChoiceType> createChoice(CmisChoiceType value) {
        return new JAXBElement<CmisChoiceType>(_Choice_QNAME, CmisChoiceType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisTypeFolderDefinitionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "folderType", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "type")
    public JAXBElement<CmisTypeFolderDefinitionType> createFolderType(CmisTypeFolderDefinitionType value) {
        return new JAXBElement<CmisTypeFolderDefinitionType>(_FolderType_QNAME, CmisTypeFolderDefinitionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisObjectType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "object")
    public JAXBElement<CmisObjectType> createObject(CmisObjectType value) {
        return new JAXBElement<CmisObjectType>(_Object_QNAME, CmisObjectType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisRepositoryInfoType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "repositoryInfo")
    public JAXBElement<CmisRepositoryInfoType> createRepositoryInfo(CmisRepositoryInfoType value) {
        return new JAXBElement<CmisRepositoryInfoType>(_RepositoryInfo_QNAME, CmisRepositoryInfoType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisTypePolicyDefinitionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "policyType", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "type")
    public JAXBElement<CmisTypePolicyDefinitionType> createPolicyType(CmisTypePolicyDefinitionType value) {
        return new JAXBElement<CmisTypePolicyDefinitionType>(_PolicyType_QNAME, CmisTypePolicyDefinitionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisTypeDefinitionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "type")
    public JAXBElement<CmisTypeDefinitionType> createType(CmisTypeDefinitionType value) {
        return new JAXBElement<CmisTypeDefinitionType>(_Type_QNAME, CmisTypeDefinitionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisObjectType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "cmisObject")
    public JAXBElement<CmisObjectType> createCmisObject(CmisObjectType value) {
        return new JAXBElement<CmisObjectType>(_CmisObject_QNAME, CmisObjectType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisTypeRelationshipDefinitionType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "relationshipType", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "type")
    public JAXBElement<CmisTypeRelationshipDefinitionType> createRelationshipType(CmisTypeRelationshipDefinitionType value) {
        return new JAXBElement<CmisTypeRelationshipDefinitionType>(_RelationshipType_QNAME, CmisTypeRelationshipDefinitionType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceXmlType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceXml", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceXmlType> createChoiceXml(CmisChoiceXmlType value) {
        return new JAXBElement<CmisChoiceXmlType>(_ChoiceXml_QNAME, CmisChoiceXmlType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceUriType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceUri", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceUriType> createChoiceUri(CmisChoiceUriType value) {
        return new JAXBElement<CmisChoiceUriType>(_ChoiceUri_QNAME, CmisChoiceUriType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceIntegerType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceInteger", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceIntegerType> createChoiceInteger(CmisChoiceIntegerType value) {
        return new JAXBElement<CmisChoiceIntegerType>(_ChoiceInteger_QNAME, CmisChoiceIntegerType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceIdType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceId", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceIdType> createChoiceId(CmisChoiceIdType value) {
        return new JAXBElement<CmisChoiceIdType>(_ChoiceId_QNAME, CmisChoiceIdType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceXhtmlType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceXhtml", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceXhtmlType> createChoiceXhtml(CmisChoiceXhtmlType value) {
        return new JAXBElement<CmisChoiceXhtmlType>(_ChoiceXhtml_QNAME, CmisChoiceXhtmlType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceBooleanType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceBoolean", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceBooleanType> createChoiceBoolean(CmisChoiceBooleanType value) {
        return new JAXBElement<CmisChoiceBooleanType>(_ChoiceBoolean_QNAME, CmisChoiceBooleanType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CmisChoiceHtmlType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "choiceHtml", substitutionHeadNamespace = "http://docs.oasis-open.org/ns/cmis/core/200901", substitutionHeadName = "choice")
    public JAXBElement<CmisChoiceHtmlType> createChoiceHtml(CmisChoiceHtmlType value) {
        return new JAXBElement<CmisChoiceHtmlType>(_ChoiceHtml_QNAME, CmisChoiceHtmlType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "includeRenditions", scope = CmisQueryType.class)
    public JAXBElement<Boolean> createCmisQueryTypeIncludeRenditions(Boolean value) {
        return new JAXBElement<Boolean>(_CmisQueryTypeIncludeRenditions_QNAME, Boolean.class, CmisQueryType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EnumIncludeRelationships }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "includeRelationships", scope = CmisQueryType.class)
    public JAXBElement<EnumIncludeRelationships> createCmisQueryTypeIncludeRelationships(EnumIncludeRelationships value) {
        return new JAXBElement<EnumIncludeRelationships>(_CmisQueryTypeIncludeRelationships_QNAME, EnumIncludeRelationships.class, CmisQueryType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://docs.oasis-open.org/ns/cmis/core/200901", name = "includeAllowableActions", scope = CmisQueryType.class)
    public JAXBElement<Boolean> createCmisQueryTypeIncludeAllowableActions(Boolean value) {
        return new JAXBElement<Boolean>(_CmisQueryTypeIncludeAllowableActions_QNAME, Boolean.class, CmisQueryType.class, value);
    }

}
