
package org.oasis_open.docs.ns.cmis.core._200901;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for enumBasicPermissions.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="enumBasicPermissions">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="cmis:Read"/>
 *     &lt;enumeration value="cmis:Write"/>
 *     &lt;enumeration value="cmis:Delete"/>
 *     &lt;enumeration value="cmis:All"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "enumBasicPermissions")
@XmlEnum
public enum EnumBasicPermissions {

    @XmlEnumValue("cmis:Read")
    CMIS_READ("cmis:Read"),
    @XmlEnumValue("cmis:Write")
    CMIS_WRITE("cmis:Write"),
    @XmlEnumValue("cmis:Delete")
    CMIS_DELETE("cmis:Delete"),
    @XmlEnumValue("cmis:All")
    CMIS_ALL("cmis:All");
    private final String value;

    EnumBasicPermissions(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static EnumBasicPermissions fromValue(String v) {
        for (EnumBasicPermissions c: EnumBasicPermissions.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
